#include <bits/stdc++.h>
using namespace std;
long long  a[1000000],b[1000000],m,c,x,e,t,dem=0,n=0,d,k,h,g,hahihi=0;
void input()
{
    freopen("DQND.inp","r",stdin);
    cin>>n;
}
void solve(int n)
{
    if (n>0)
    {
        a[d]=n%10;
        d++;
        solve(n/10);
    }
}
void output()
{
    freopen("DQND.out","w",stdout);
    for (int i=0;i<d;i++)
    {
        cout<<a[i];
    }
    cout<<endl<<d;
}
int main()
{
    ios_base::sync_with_stdio(false);
    input();
    solve(n);
    output();
}

